import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomWrapper, DomRenderer } from "igniteui-react-core";
import { AnimationKeyFrameEffect } from "igniteui-react-core";
import { AnimationKeyFrameEffectTiming } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { OnCollapsedEventArgs } from "./OnCollapsedEventArgs";
import { OnExpandedEventArgs } from "./OnExpandedEventArgs";
/**
 * @hidden
 */
export declare class ExpansionPanelView extends Base {
    static $t: Type;
    private i;
    private p;
    private g;
    private f;
    private o;
    private k;
    private n;
    private m;
    private l;
    private static readonly al;
    private static readonly t;
    private static readonly s;
    protected readonly q: DomWrapper;
    protected readonly h: ExpansionPanel;
    protected readonly j: DomRenderer;
    protected ab(): void;
    aj(): void;
    ak(): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    b(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    c(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    d(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    e(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    u(): void;
    r(): number;
    ac(a: DomRenderer): void;
    private ag;
    private ah;
    private ai;
    protected y(a: DomWrapper): void;
    z(a: ExpansionPanel): void;
    aa(): void;
    af(a: any): void;
    v(a: DomWrapper): void;
    ae(a: any): void;
    ad(a: any): void;
    private w;
    private x;
}
/**
 * @hidden
 */
export declare class ExpansionPanel extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private c;
    constructor();
    onCollapsed: (sender: any, args: OnCollapsedEventArgs) => void;
    onExpanded: (sender: any, args: OnExpandedEventArgs) => void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected aw(a: string, b: any, c: any): void;
    g: ExpansionPanelView;
    private aa;
    ab: string;
    private bb;
    bq: Brush;
    static bs: Brush;
    private a4;
    bj: Brush;
    private a9;
    bo: Brush;
    private ba;
    bp: Brush;
    private ag;
    ah: string;
    private be;
    bz: Brush;
    static bt: Brush;
    private a5;
    bk: Brush;
    private bc;
    bx: Brush;
    private bd;
    by: Brush;
    private p;
    s: number;
    static r: number;
    private o;
    q: number;
    private m;
    n: boolean;
    private bf;
    b6: Brush;
    static bu: Brush;
    private a6;
    bl: Brush;
    private bg;
    b7: Brush;
    private bh;
    b8: Brush;
    static bw: Brush;
    private a8;
    bn: Brush;
    static bv: Brush;
    private a7;
    bm: Brush;
    static br: Brush;
    private a3;
    bi: Brush;
    protected f(): ExpansionPanelView;
    protected ax(a: string, b: any, c: any): void;
    private h;
    private i;
    private j;
    private k;
    private l;
    private a;
    private b;
    private at;
    private b0;
    private b1;
    private b2;
    private b3;
    private b4;
    private b5;
    ar(): void;
    destroy(): void;
    au(): void;
    notifySizeChanged(): void;
    provideHeader(a: any): void;
    provideContentAreaOuter(a: any): void;
    provideContentAreaInner(a: any): void;
    provideRenderer(a: DomRenderer): void;
    a2(): void;
}
