/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType, INotifyPropertyChanged_$type, PropertyChangedEventArgs } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { ElevationHelper } from "igniteui-react-core";
import { Popup_OuterAnimationInfo } from "./Popup_OuterAnimationInfo";
import { Popup_InnerAnimationInfo } from "./Popup_InnerAnimationInfo";
import { AnimationKeyFrameEffect } from "igniteui-react-core";
import { AnimationKeyFrameEffectTiming } from "igniteui-react-core";
import { KeyFrameAnimationFactory } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { stringEmpty } from "igniteui-react-core";
import { stringFormat } from "igniteui-react-core";
import { OnClosedEventArgs } from "./OnClosedEventArgs";
import { List$1 } from "igniteui-react-core";
import { AnimationKeyFrameProperty } from "igniteui-react-core";
import { TranslateTransform } from "igniteui-react-core";
import { OnPopupEventArgs } from "./OnPopupEventArgs";
import { PopupVisualModelExport } from "./PopupVisualModelExport";
import { AppearanceHelper } from "igniteui-react-core";
import { BrushUtil } from "igniteui-react-core";
import { truncate } from "igniteui-react-core";
/**
 * @hidden
 */
export let PopupView = /*@__PURE__*/ (() => {
    class PopupView extends Base {
        constructor() {
            super(...arguments);
            this.k = null;
            this.c = null;
            this.o = null;
            this.n = null;
            this.m = null;
            this.p = null;
            this.f = false;
            this.h = 0;
            this.al = new Size(1, 0, 0);
            this.e = true;
            this.g = false;
        }
        get d() {
            return this.c;
        }
        get l() {
            return this.k;
        }
        ab() {
            this.o.setStyleProperty("height", "0%");
            this.o.setStyleProperty("width", "0%");
            this.n = this.k.createElement("div");
            this.n.setStyleProperty("position", "absolute");
            this.n.setStyleProperty("overflow", "hidden");
            this.n.setStyleProperty("z-index", "10000");
            this.n.setAttribute("key", "popupContentAreaOuter");
            this.m = this.k.createElement("div");
            this.m.setAttribute("key", "popupContentAreaInner");
            this.n.append(this.m);
        }
        ai() {
            let a = this.d;
            let b = ElevationHelper.e(a.w, a.a7, a.a6, a.a5);
            this.n.setStyleProperty("box-shadow", b);
        }
        ah() {
            if (this.d.a8 != null) {
                this.n.setStyleProperty("background-color", this.d.a8._fill);
            }
        }
        aj() {
            if (null == this.o) {
                return;
            }
            this.ai();
            this.ah();
        }
        s() {
            if (null != this.n) {
                this.aj();
                this.n.setStyleProperty("height", "0px");
                let a = this.n.getNativeElement();
                if (false == this.f) {
                    document.body.appendChild(a);
                    this.f = true;
                    if (this.e) {
                        this.z();
                    }
                }
            }
        }
        t(a, b) {
            this.n.setStyleProperty("top", PopupView.q(a.b));
            this.n.setStyleProperty("height", PopupView.r(a.d));
            this.m.setStyleProperty("top", PopupView.r(b.b));
            this.m.setStyleProperty("opacity", "1");
            this.m.setStyleProperty("transform", stringEmpty());
            this.h = 0;
            if (this.g) {
                this.ag();
            }
            return {
                p0: a,
                p1: b
            };
        }
        u(a) {
            this.h = a;
        }
        ae() {
            if (null != this.n && this.f) {
                let a = this.n.getNativeElement();
                document.body.removeChild(a);
                this.f = false;
            }
        }
        v(a) {
            this.m.append(a);
        }
        a(a) {
            return new AnimationKeyFrameEffect(0, this.m, 0, null, a);
        }
        b(a) {
            return new AnimationKeyFrameEffect(0, this.n, 0, null, a);
        }
        w() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.l;
            }
        }
        get am() {
            if (this.e) {
                this.z();
            }
            return this.al;
        }
        i(a, b) {
            let c;
            let t1 = b;
            L0: while (true) {
                switch (t1) {
                    case 0:
                    case 1:
                        c = a.left;
                        break;
                    case 2:
                        c = a.right - this.am.width;
                        break;
                    default:
                        t1 = 0;
                        continue L0;
                }
                break;
            }
            return c;
        }
        j(a, b) {
            let c;
            let t1 = b;
            L0: while (true) {
                switch (t1) {
                    case 0:
                    case 1:
                        c = a.bottom;
                        break;
                    case 2:
                        c = a.top - this.am.height;
                        break;
                    default:
                        t1 = 0;
                        continue L0;
                }
                break;
            }
            return c;
        }
        static r(a) {
            return stringFormat("{0}px", a);
        }
        static q(a) {
            return stringFormat("{0}px", a);
        }
        ak(a, b, c) {
            let d = this.j(a, b);
            let e = this.i(a, c);
            this.af(e, d);
            if (b == 2 || c == 2) {
                let f = 10;
                while (f > 0) {
                    let g = this.j(a, b);
                    let h = this.i(a, c);
                    if (g == d && h == e) {
                        f = 0;
                        break;
                    }
                    d = g;
                    e = h;
                    this.af(e, d);
                    f--;
                }
            }
            return new Rect(0, e, d, this.am.width, this.am.height);
        }
        z() {
            if (this.f) {
                this.n.setStyleProperty("width", stringEmpty());
                this.n.setStyleProperty("height", stringEmpty());
                this.al = new Size(1, this.m.outerWidth(), this.m.outerHeight());
                this.e = false;
                this.ag();
            }
            else {
                this.e = true;
            }
        }
        af(a, b) {
            let c = stringFormat("{0}px", a);
            let d = stringFormat("{0}px", b);
            this.n.setStyleProperty("left", c);
            this.n.setStyleProperty("top", d);
        }
        ac(a) {
            if (a == null) {
                this.k = null;
                return;
            }
            this.k = a;
            let b = a.rootWrapper;
            this.x(b);
            this.k.getPortal(this.m, "ChildContent", (c) => {
                let comp_ = c.componentRef;
                this.p = comp_;
            }, true);
        }
        ag() {
            let a = new Size(1, this.am.width, this.am.height);
            if (!this.f || !this.d.t) {
                a.height = 0;
            }
            let b = a.width;
            let c = a.height;
            if (this.c.r()) {
                if (this.h == c) {
                    return;
                }
                this.c.an();
                this.g = true;
                return;
            }
            this.g = false;
            let d = stringFormat("{0}px", b);
            let e = stringFormat("{0}px", c);
            this.n.setStyleProperty("width", d);
            this.n.setStyleProperty("height", e);
        }
        x(a) {
            this.o = a;
            this.ab();
        }
        y(a) {
            this.c = a;
        }
        aa() {
        }
        ad() {
            this.s();
            if (this.d.t) {
                return;
            }
            this.ag();
        }
    }
    PopupView.$t = /*@__PURE__*/ markType(PopupView, 'PopupView');
    return PopupView;
})();
/**
 * @hidden
 */
export let Popup = /*@__PURE__*/ (() => {
    class Popup extends Base {
        constructor() {
            super();
            this.i = 0;
            this.h = 0;
            this.bc = null;
            this.n = null;
            this.o = null;
            this.onClosed = null;
            this.onPopup = null;
            this.propertyChanged = null;
            this.k = null;
            this.x = 50;
            this.p = true;
            this.v = -1;
            this.u = Popup.z;
            this.s = false;
            this.a3 = Popup.bb;
            this.a2 = Popup.ba;
            this.a1 = Popup.a9;
            this.a4 = null;
            let a = this.j();
            this.k = a;
            a.y(this);
        }
        au(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.aw(a, b, c);
        }
        get y() {
            return this.x;
        }
        set y(a) {
            let b = this.x;
            this.x = a;
            if (b != this.x) {
                this.au("AnimationDuration", b, a);
            }
        }
        get q() {
            return this.p;
        }
        set q(a) {
            let b = this.p;
            this.p = a;
            if (b != this.p) {
                this.au("AnimationEnabled", b, a);
            }
        }
        get aa() {
            return this.v;
        }
        set aa(a) {
            let b = this.v;
            this.v = a;
            if (b != this.v) {
                this.au("Elevation", b, a);
            }
        }
        get w() {
            return this.u;
        }
        set w(a) {
            let b = this.u;
            this.u = a;
            if (b != this.u) {
                this.au("ActualElevation", b, a);
            }
        }
        get t() {
            return this.s;
        }
        get a7() {
            return this.a3;
        }
        set a7(a) {
            let b = this.a3;
            this.a3 = a;
            if (b != this.a3) {
                this.au("ActualUmbraShadowColor", b, a);
            }
        }
        get a6() {
            return this.a2;
        }
        set a6(a) {
            let b = this.a2;
            this.a2 = a;
            if (b != this.a2) {
                this.au("ActualPenumbraShadowColor", b, a);
            }
        }
        get a5() {
            return this.a1;
        }
        set a5(a) {
            let b = this.a1;
            this.a1 = a;
            if (b != this.a1) {
                this.au("ActualAmbientShadowColor", b, a);
            }
        }
        get a8() {
            return this.a4;
        }
        set a8(a) {
            let b = this.a4;
            this.a4 = a;
            if (b != this.a4) {
                this.au("Background", b, this.a4);
            }
        }
        j() {
            return new PopupView();
        }
        aw(a, b, c) {
            switch (a) {
                case "IsShown":
                    if (false == this.t) {
                        this.k.ae();
                    }
                    break;
                case "Elevation":
                    this.w = this.aa == -1 ? Popup.z : this.aa;
                    break;
                case "ActualElevation":
                case "ActualUmbraShadowColor":
                case "ActualPenumbraShadowColor":
                case "ActualAmbientShadowColor":
                case "Background":
                    this.k.aj();
                    break;
                case "AnimationEnabled":
                    if (false == this.q) {
                        this.an();
                    }
                    break;
            }
        }
        an() {
            if (this.r()) {
                if (null != this.o && this.o.playState == 1) {
                    this.o.cancel();
                }
                if (null != this.n && this.n.playState == 1) {
                    this.n.cancel();
                }
            }
        }
        l(a) {
            let b = this.f(a);
            let c = a ? this.b() : this.a();
            let d = this.k.a(c);
            let e = new List$1(AnimationKeyFrameProperty.$, 0);
            let f = new List$1(AnimationKeyFrameProperty.$, 0);
            let g = new TranslateTransform();
            g.k = b.a;
            let h = new TranslateTransform();
            h.k = b.b;
            let i = new AnimationKeyFrameProperty(14, g);
            let j = new AnimationKeyFrameProperty(14, h);
            e.add(i);
            f.add(j);
            d.m(...e.toArray());
            d.m(...f.toArray());
            return KeyFrameAnimationFactory.f.c(d);
        }
        m(a) {
            let b = this.g(a);
            this.k.u(b.d);
            let c = a ? this.b() : this.a();
            let d = this.k.b(c);
            let e = new List$1(AnimationKeyFrameProperty.$, 0);
            let f = new List$1(AnimationKeyFrameProperty.$, 0);
            let g = new AnimationKeyFrameProperty(10, b.c);
            let h = new AnimationKeyFrameProperty(10, b.d);
            e.add(g);
            f.add(h);
            if (this.i == 2) {
                let i = b.a;
                let j = b.b;
                let k = new AnimationKeyFrameProperty(12, i);
                let l = new AnimationKeyFrameProperty(12, j);
                e.add(k);
                f.add(l);
            }
            d.m(...e.toArray());
            d.m(...f.toArray());
            return KeyFrameAnimationFactory.f.c(d);
        }
        a() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = this.y;
            a.b = 3;
            return a;
        }
        b() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = this.y;
            a.b = 3;
            return a;
        }
        aq() {
            this.k.w();
        }
        f(a) {
            let b = truncate(this.k.am.height);
            if (b <= 0) {
                b = 500;
            }
            let c = a ? -b : 0;
            let d = a ? 0 : -b;
            if (this.i == 2) {
                c = 0;
                d = 0;
            }
            let e = ((() => {
                let $ret = new Popup_InnerAnimationInfo();
                $ret.a = c;
                $ret.b = d;
                return $ret;
            })());
            return e;
        }
        g(a) {
            let b = truncate(this.k.am.height);
            if (b <= 0) {
                b = 500;
            }
            let c = a ? 0 : b;
            let d = a ? b : 0;
            let e;
            let f;
            if (this.i == 2) {
                e = a ? this.bc.bottom : this.bc.top;
                f = a ? this.bc.top : this.bc.bottom;
            }
            else {
                e = this.bc.top;
                f = this.bc.top;
            }
            let g = ((() => {
                let $ret = new Popup_OuterAnimationInfo();
                $ret.c = c;
                $ret.d = d;
                $ret.a = e;
                $ret.b = f;
                return $ret;
            })());
            return g;
        }
        r() {
            if (null == this.o && null == this.n) {
                return false;
            }
            if (null != this.o && this.o.playState == 1) {
                return true;
            }
            if (null != this.n && this.n.playState == 1) {
                return true;
            }
            return false;
        }
        ar() {
            this.k.z();
        }
        av(a, b, c) {
            this.k.ad();
            this.bc = this.k.ak(a, b, c);
            this.i = b;
            this.h = c;
        }
        ay(a, b, c) {
            if (this.s) {
                this.s = false;
                this.au("IsShown", true, this.s);
            }
            this.av(a, b, c);
            this.az(true);
        }
        az(a) {
            this.an();
            let b = this.s;
            this.s = a;
            let c = this.g(a);
            let d = this.f(a);
            if (false == this.q) {
                let e = this.k.t(c, d);
                c = e.p0;
                d = e.p1;
                return;
            }
            this.aq();
            this.n = this.l(this.s);
            this.o = this.m(this.s);
            this.n.play();
            this.o.play();
            this.n.finished.f((f) => this.n.commitStyles());
            this.o.finished.f((f) => {
                this.o.commitStyles();
                this.au("IsShown", b, this.s);
                if (this.s) {
                    if (this.onPopup != null) {
                        this.onPopup(this, new OnPopupEventArgs());
                    }
                }
                else {
                    if (this.onClosed != null) {
                        this.onClosed(this, new OnClosedEventArgs());
                    }
                }
                let g = this.k.t(c, d);
                c = g.p0;
                d = g.p1;
            });
        }
        appendPopupContent(a) {
            this.k.v(a);
        }
        ao() {
            if (!this.s) {
                return;
            }
            this.az(false);
        }
        destroy() {
            this.provideRenderer(null);
        }
        showRelativeToExclusionRect(a, b, c) {
            this.ay(a, b, c);
        }
        as(a) {
            this.bc = this.k.ak(a, this.i, this.h);
        }
        notifySizeChanged() {
        }
        provideRenderer(a) {
            this.k.ac(a);
        }
        ab() {
            return this.c();
        }
        ak() {
            let a = this.c();
            return a.f();
        }
        c() {
            let a = new PopupVisualModelExport();
            a.e = this.w;
            a.d = this.t;
            a.c = AppearanceHelper.a(this.a7);
            a.b = AppearanceHelper.a(this.a6);
            a.a = AppearanceHelper.a(this.a5);
            return a;
        }
    }
    Popup.$t = /*@__PURE__*/ markType(Popup, 'Popup', Base.$, [INotifyPropertyChanged_$type]);
    Popup.z = 2;
    Popup.bb = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Popup.ba = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Popup.a9 = /*@__PURE__*/ BrushUtil.g(20, 0, 0, 0);
    return Popup;
})();
//# sourceMappingURL=PopupView_combined.js.map
