import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Popup_OuterAnimationInfo } from "./Popup_OuterAnimationInfo";
import { Popup_InnerAnimationInfo } from "./Popup_InnerAnimationInfo";
import { AnimationKeyFrameEffect } from "igniteui-react-core";
import { AnimationKeyFrameEffectTiming } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { PopupAlignment } from "./PopupAlignment";
import { PopupDirection } from "./PopupDirection";
import { OnClosedEventArgs } from "./OnClosedEventArgs";
import { OnPopupEventArgs } from "./OnPopupEventArgs";
import { PopupVisualModelExport } from "./PopupVisualModelExport";
/**
 * @hidden
 */
export declare class PopupView extends Base {
    static $t: Type;
    private k;
    private c;
    private o;
    private n;
    private m;
    private p;
    private f;
    private h;
    protected readonly d: Popup;
    protected readonly l: DomRenderer;
    protected ab(): void;
    ai(): void;
    ah(): void;
    aj(): void;
    s(): void;
    t(a: Popup_OuterAnimationInfo, b: Popup_InnerAnimationInfo): {
        p0?: Popup_OuterAnimationInfo;
        p1?: Popup_InnerAnimationInfo;
    };
    u(a: number): void;
    ae(): void;
    v(a: any): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    b(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    w(): void;
    private al;
    readonly am: Size;
    private i;
    private j;
    private static r;
    private static q;
    ak(a: Rect, b: PopupDirection, c: PopupAlignment): Rect;
    private e;
    z(): void;
    private af;
    ac(a: DomRenderer): void;
    private g;
    private ag;
    protected x(a: DomWrapper): void;
    y(a: Popup): void;
    aa(): void;
    ad(): void;
}
/**
 * @hidden
 */
export declare class Popup extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private i;
    private h;
    private bc;
    private n;
    private o;
    constructor();
    onClosed: (sender: any, args: OnClosedEventArgs) => void;
    onPopup: (sender: any, args: OnPopupEventArgs) => void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected au(a: string, b: any, c: any): void;
    k: PopupView;
    private x;
    y: number;
    private p;
    q: boolean;
    private v;
    aa: number;
    static z: number;
    private u;
    w: number;
    private s;
    readonly t: boolean;
    static bb: Brush;
    private a3;
    a7: Brush;
    static ba: Brush;
    private a2;
    a6: Brush;
    static a9: Brush;
    private a1;
    a5: Brush;
    private a4;
    a8: Brush;
    protected j(): PopupView;
    protected aw(a: string, b: any, c: any): void;
    an(): void;
    private l;
    private m;
    private a;
    private b;
    private aq;
    private f;
    private g;
    r(): boolean;
    ar(): void;
    private av;
    private ay;
    private az;
    appendPopupContent(a: any): void;
    ao(): void;
    destroy(): void;
    showRelativeToExclusionRect(a: Rect, b: PopupDirection, c: PopupAlignment): void;
    as(a: Rect): void;
    notifySizeChanged(): void;
    provideRenderer(a: DomRenderer): void;
    ab(): any;
    ak(): string;
    c(): PopupVisualModelExport;
}
